Bug 967853 - Cannot add contact
Cannot add contact
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 08:29 EDT by David Woodhouse
Modified: 2015-02-18 08:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:54:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-05-28 08:29:43 EDT
It doesn't appear to be obvious to me how to add a contact in empathy. There used to be a *menu*, but that was evidently too confusing for users and had to be removed?
Comment 1 David Woodhouse 2013-05-28 08:37:57 EDT
The help that we ship with it suggests that to add someone to my list of contacts I should:

1. Choose Chat ▸ Add Contact.

But I don't see *where* this 'Chat' menu is... I can right-click on an existing contact and attempt to chat with them, but that doesn't seem to get me any closer.
Comment 2 Brian Pepple 2013-05-28 21:08:20 EDT
Isn't it still available from the Gnome Shell context menu -> Chat -> Add Contacts?
Comment 3 David Woodhouse 2013-06-21 16:02:44 EDT
Er, which menu? Where?
Comment 4 Brian Pepple 2013-06-21 19:01:31 EDT
the gnome shell application context menu, next to the Activities menu in the upper left hand corner of the screen.
Comment 5 David Woodhouse 2013-06-21 19:05:18 EDT
Aha. I have found it.

When you mouse over an application and its window becomes focused, its icon and name appear in the gnome shell bar at the top of the screen. That is the "context menu" of which you speak.

You need to quickly move the mouse from the 'contact list' window to the top of the screen without allowing any other window to become focused (which might be easier with a mouse than my trackpad), and then you can find 'Contacts... Add Contact' (or 'Search for Contacts' which seems not to with with haze/sipe) in there.

This could perhaps do with being documented more clearly. Or fixed, since the whole context menu thing seems to make more sense for full-screen applications (for those whose screens are small enough that full-screen makes any sense at all), and certainly doesn't work nicely for a small window like empathy's.

Could we at least have an option to put the menu back *in* the application? I'm not aware of any other apps where the shell context menu has options that *aren't* available through normal, user-discoverable, means.
Comment 6 David Woodhouse 2013-07-10 07:29:33 EDT
From mailing list discussion upstream and https://bugzilla.gnome.org/show_bug.cgi?id=695377 (especially #c2) I believe that this is an Empathy bug.

It shouldn't have fundamental menu options like this appearing *only* in the silly GNOME "menu elsewhere" that you had to explain to me.

They should *also* appear actually *in* the application's window itself.

For the general case, the following command makes the application's menu actually appear in the application — so Empathy's 'Add Contact' feature ends up back in the app window where it belongs. But it would be useful if users didn't have to do this, just to restore basic functionality:

gsettings set org.gnome.settings-daemon.plugins.xsettings overrides \
      "{ 'Gtk/ShellShowsAppMenu': < 0 > }"
Comment 7 Fedora End Of Life 2015-01-09 17:08:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:54:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.